Get Enrollments
curl --request POST \
--url https://api.tryfinch.com/employer/plans-enrollments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--header 'Finch-API-Version: <finch-api-version>' \
--data '
{
"requests": [
{
"enrollment_id": "ec2f4d10-6ad2-4e94-8f2f-4b0a1f3c2d55"
}
]
}
'import requests
url = "https://api.tryfinch.com/employer/plans-enrollments"
payload = { "requests": [{ "enrollment_id": "ec2f4d10-6ad2-4e94-8f2f-4b0a1f3c2d55" }] }
headers = {
"Finch-API-Version": "<finch-api-version>",
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Finch-API-Version': '<finch-api-version>',
'Content-Type': '<content-type>',
Authorization: 'Bearer <token>'
},
body: JSON.stringify({requests: [{enrollment_id: 'ec2f4d10-6ad2-4e94-8f2f-4b0a1f3c2d55'}]})
};
fetch('https://api.tryfinch.com/employer/plans-enrollments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"responses": [
{
"enrollment_id": "ec2f4d10-6ad2-4e94-8f2f-4b0a1f3c2d55",
"code": 200,
"body": {
"id": "ec2f4d10-6ad2-4e94-8f2f-4b0a1f3c2d55",
"individual_id": "5d0b10a1-a09a-430f-81f1-20be735dc5e9",
"plan_id": "3f0b5a2b-2b4a-4f4c-9f3e-5c4a2c1d9b70",
"coverage_tier": "employee_family",
"coverage_start_date": "2026-01-01",
"coverage_end_date": null,
"contributions": {
"frequency": "per_pay_period",
"employee_contribution": {
"amount": 12500,
"currency": "usd"
},
"employer_contribution": {
"amount": 37500,
"currency": "usd"
}
},
"dependent_ids": [
"a8d6c0ec-8a0e-4a2f-9a3b-6f0f6e2b8f21"
],
"status": "active"
}
}
]
}Benefits
Get Enrollments
Beta: This endpoint is in beta and may change. Read enrollments by Finch ID. A maximum of 50 enrollments can be requested at once.
POST
/
employer
/
plans-enrollments
Get Enrollments
Authorizations
Please use your Access Token
Headers
Header used to specify the version for a given API request. Current version is 2020-09-17.
Pattern:
([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))Used to indicate the original media type of the resource
Query Parameters
The entity IDs to specify which entities' data to access. Provide exactly one entity ID per request; a maximum of one is accepted.
Required array length:
1 elementExample:
["550e8400-e29b-41d4-a716-446655440000"]
Body
application/json
Maximum array length:
50Show child attributes
Show child attributes
Response
Enrollment data
The batch response array.
Show child attributes
Show child attributes
Was this page helpful?
⌘I